> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get import blobs task update

> Get import blobs task update



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml get /tasks/import-blobs/{key}/update
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /tasks/import-blobs/{key}/update:
    get:
      tags:
        - tasks
      summary: Get import blobs task update
      description: Get import blobs task update
      parameters:
        - description: Key of import blobs task
          in: path
          name: key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/remotefs.FiletaskTask'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    remotefs.FiletaskTask:
      properties:
        id:
          type: string
        key:
          type: string
        status:
          type: string
        update:
          $ref: '#/components/schemas/remotefs.TaskUpdate'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.TaskUpdate:
      properties:
        exportTargetId:
          type: string
        key:
          $ref: '#/components/schemas/remotefs.FlowsArtifactVersionKey'
        progress:
          type: integer
        tags:
          additionalProperties:
            type: string
          type: object
        type:
          type: string
        uri:
          type: string
      type: object
    remotefs.FlowsArtifactVersionKey:
      properties:
        artifactId:
          type: string
        execution:
          $ref: '#/components/schemas/remotefs.FlowsExecutionIdentifier'
      type: object
    remotefs.FlowsExecutionIdentifier:
      properties:
        domain:
          type: string
        name:
          type: string
        project:
          type: string
      type: object

````